NX Open C++ Reference Guide
List of all members
NXOpen::Features::SketchSplineBuilder Class Reference

Sketch Spline builder class. More...

Inheritance diagram for NXOpen::Features::SketchSplineBuilder:
NXOpen::Features::StudioSplineBuilderEx NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Types inherited from NXOpen::Features::StudioSplineBuilderEx
enum  DrawingPlaneOptions {
  DrawingPlaneOptionsView, DrawingPlaneOptionsXY, DrawingPlaneOptionsYZ, DrawingPlaneOptionsXZ,
  DrawingPlaneOptionsGeneral
}
 Drawing plane options. More...
 
enum  InputCurveOptions { InputCurveOptionsKeep, InputCurveOptionsHide, InputCurveOptionsDelete }
 Options of the actions to be taken on an input non-parametric spline after its editing is done. More...
 
enum  MatchKnotsTypes { MatchKnotsTypesNone, MatchKnotsTypesCubic, MatchKnotsTypesGeneral }
 Options for creating knots at the defining points in case of through point spline. More...
 
enum  MovementMethodType {
  MovementMethodTypeWCS, MovementMethodTypeView, MovementMethodTypeVector, MovementMethodTypePlane,
  MovementMethodTypeNormal, MovementMethodTypePolygon
}
 Points movement types. More...
 
enum  Types { TypesThroughPoints, TypesByPoles }
 Spline methods. More...
 
enum  WCSOptionType {
  WCSOptionTypeX, WCSOptionTypeY, WCSOptionTypeZ, WCSOptionTypeYZ,
  WCSOptionTypeXZ, WCSOptionTypeXY
}
 WCS principal axis or plane types. More...
 
- Public Member Functions inherited from NXOpen::Features::StudioSplineBuilderEx
bool CanUseOrientationTool ()
 Returns the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX8.5.1. More...
 
NXOpen::Features::GeometricConstraintDataManagerConstraintManager ()
 Returns the constraint manager
Created in NX8.0.0. More...
 
NXOpen::CoordinateSystemConstraintPlane ()
 Returns the coordinate system defining plane constraint
Created in NX8.0.0. More...
 
NXOpen::SplineCurve ()
 Returns the spline curve
Created in NX8.0.0. More...
 
int Degree ()
 Returns the degree
Created in NX8.0.0. More...
 
NXOpen::PlaneDrawingPlane ()
 Returns the drawing plane
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOptions DrawingPlaneOption ()
 Returns a drawing plane option
Created in NX8.0.0. More...
 
void EditSpline (NXOpen::NXObject *spline)
 Sets a non-parametric spline for editing
Created in NX8.0.0. More...
 
void Evaluate ()
 Evaluates the spline
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::SplineExtensionBuilderExtender ()
 Returns the extension option
Created in NX8.0.0. More...
 
std::vector< double > GetKnots ()
 Queries the knot sequence for by pole spline. More...
 
std::vector< double > GetParameters ()
 Queries the parameters at defining points for a through point spline. More...
 
bool HasPlaneConstraint ()
 Returns the flag indicating if spline has plane constraint
Created in NX8.0.0. More...
 
bool HasProportionalUpdate ()
 Returns the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::InputCurveOptions InputCurveOption ()
 Returns the input curve option
Created in NX8.0.0. More...
 
void InsertKnot (const NXOpen::Point3d &point)
 Inserts knot at a closest point on the spline
Created in NX8.0.0. More...
 
void InsertPole (int afterIndex)
 Inserts a pole in the middle of a control polygon segment
Created in NX8.0.0. More...
 
bool IsAssociative ()
 Returns the flag indicating if a feature should be created
Created in NX8.0.0. More...
 
bool IsPeriodic ()
 Returns the periodicity
Created in NX8.0.0. More...
 
bool IsSingleSegment ()
 Returns a flag indicating if single segment by pole spline is to be created
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::MatchKnotsTypes MatchKnotsType ()
 Returns a constraint to match knots at the defining points for a through point spline
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::MovementMethodType MovementMethod ()
 Returns the movement method
Created in NX8.0.0. More...
 
NXOpen::PlaneMovementPlane ()
 Returns the movement plane
Created in NX8.0.0. More...
 
NXOpen::DirectionMovementVector ()
 Returns the movement vector
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::OrientXpressBuilderOrientExpress ()
 Returns the orient express object
Created in NX8.0.0. More...
 
void SetAssociative (bool associative)
 Sets the flag indicating if a feature should be created
Created in NX8.0.0. More...
 
void SetCanUseOrientationTool (bool useOrientationTool)
 Sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX8.5.1. More...
 
void SetConstraintPlane (NXOpen::CoordinateSystem *coordinateSystem)
 Sets the coordinate system defining plane constraint
Created in NX8.0.0. More...
 
void SetDegree (int degree)
 Sets the degree
Created in NX8.0.0. More...
 
void SetDrawingPlane (NXOpen::Plane *drawingPlane)
 Sets the drawing plane
Created in NX8.0.0. More...
 
void SetDrawingPlaneOption (NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOptions planeOption)
 Sets a drawing plane option
Created in NX8.0.0. More...
 
void SetHasPlaneConstraint (bool hasConstraint)
 Sets the flag indicating if spline has plane constraint
Created in NX8.0.0. More...
 
void SetHasProportionalUpdate (bool hasProportionalUpdate)
 Sets the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature
Created in NX8.0.0. More...
 
void SetInputCurveOption (NXOpen::Features::StudioSplineBuilderEx::InputCurveOptions option)
 Sets the input curve option
Created in NX8.0.0. More...
 
void SetKnots (const std::vector< double > &knots)
 Sets the optional knot sequence for by pole spline
Created in NX8.0.0. More...
 
void SetMatchKnotsType (NXOpen::Features::StudioSplineBuilderEx::MatchKnotsTypes matchKnotsType)
 Sets a constraint to match knots at the defining points for a through point spline
Created in NX8.0.0. More...
 
void SetMovementMethod (NXOpen::Features::StudioSplineBuilderEx::MovementMethodType movementMethod)
 Sets the movement method
Created in NX8.0.0. More...
 
void SetMovementPlane (NXOpen::Plane *movementPlane)
 Sets the movement plane
Created in NX8.0.0. More...
 
void SetMovementVector (NXOpen::Direction *movementVector)
 Sets the movement vector
Created in NX8.0.0. More...
 
void SetParameters (const std::vector< double > &parameters)
 Sets the optional parameters at defining points for a through point spline
Created in NX8.0.0. More...
 
void SetPeriodic (bool periodicity)
 Sets the periodicity
Created in NX8.0.0. More...
 
void SetSingleSegment (bool isSingleSegment)
 Sets a flag indicating if single segment by pole spline is to be created
Created in NX8.0.0. More...
 
void SetType (NXOpen::Features::StudioSplineBuilderEx::Types type)
 Sets the spline method
Created in NX8.0.0. More...
 
void SetWCSOption (NXOpen::Features::StudioSplineBuilderEx::WCSOptionType wcsOption)
 Sets the WCS option
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::Types Type ()
 Returns the spline method
Created in NX8.0.0. More...
 
void UpdateOnConstraintPlane ()
 Updates spline based on constraint plane
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::WCSOptionType WCSOption ()
 Returns the WCS option
Created in NX8.0.0. More...
 

Detailed Description

Sketch Spline builder class.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateSketchSplineBuilder
Default values.

Property Value

DrawingPlaneOption

View

InputCurveOption

Hide

MatchKnotsType

None

MovementMethod

View

Type

ThroughPoints

WCSOption

X


Created in NX8.0.0.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.